Upstream information

CVE-2018-1000140 at MITRE

Description

rsyslog librelp version 1.2.14 and earlier contains a Buffer Overflow vulnerability in the checking of x509 certificates from a peer that can result in Remote code execution. This attack appear to be exploitable a remote attacker that can connect to rsyslog and trigger a stack buffer overflow by sending a specially crafted x509 certificate.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  SUSE
Base Score 9.8
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entry: 1086730 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Server Applications 15
  • librelp-devel >= 1.2.15-1.15
  • librelp0 >= 1.2.15-1.15
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA librelp-devel
SUSE Linux Enterprise Server 12 SP1-LTSS
  • librelp >= 1.2.7-3.3.1
  • librelp0 >= 1.2.7-3.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-553
SUSE Linux Enterprise Server 12 SP2
  • librelp >= 1.2.7-3.3.1
  • librelp0 >= 1.2.7-3.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-553
SUSE Linux Enterprise Server 12 SP3
  • librelp >= 1.2.12-3.3.1
  • librelp0 >= 1.2.12-3.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-552
SUSE Linux Enterprise Server 12-LTSS
  • librelp >= 1.2.7-3.3.1
  • librelp0 >= 1.2.7-3.3.1
Patchnames:
SUSE-SLE-SERVER-12-2018-553
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • librelp >= 1.2.7-3.3.1
  • librelp0 >= 1.2.7-3.3.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2018-553
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • librelp >= 1.2.7-3.3.1
  • librelp0 >= 1.2.7-3.3.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2018-553
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • librelp >= 1.2.7-3.3.1
  • librelp0 >= 1.2.7-3.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-553
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • librelp >= 1.2.7-3.3.1
  • librelp0 >= 1.2.7-3.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-553
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • librelp >= 1.2.12-3.3.1
  • librelp0 >= 1.2.12-3.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-552
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • librelp >= 1.2.7-3.3.1
  • librelp0 >= 1.2.7-3.3.1
Patchnames:
SUSE-SLE-SERVER-12-2018-553
SUSE Linux Enterprise Software Development Kit 12 SP2
  • librelp >= 1.2.7-3.3.1
  • librelp-devel >= 1.2.7-3.3.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2018-553
SUSE Linux Enterprise Software Development Kit 12 SP3
  • librelp >= 1.2.12-3.3.1
  • librelp-devel >= 1.2.12-3.3.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-552
SUSE OpenStack Cloud 6
  • librelp >= 1.2.7-3.3.1
  • librelp0 >= 1.2.7-3.3.1
Patchnames:
SUSE-OpenStack-Cloud-6-2018-553
openSUSE Leap 42.3
  • librelp >= 1.2.12-2.3.1
  • librelp-debugsource >= 1.2.12-2.3.1
  • librelp-devel >= 1.2.12-2.3.1
  • librelp0 >= 1.2.12-2.3.1
  • librelp0-debuginfo >= 1.2.12-2.3.1
Patchnames:
openSUSE-2018-319


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP4 librelp Not affected
SUSE Linux Enterprise SDK 12 SP2 librelp Released
SUSE Linux Enterprise SDK 12 SP3 librelp Released
SUSE Linux Enterprise Server 11 SP3 LTSS librelp Not affected
SUSE Linux Enterprise Server 11 SP4 librelp Not affected
SUSE Linux Enterprise Server 12 GA LTSS librelp Released
SUSE Linux Enterprise Server 12 SP1 LTSS librelp Released
SUSE Linux Enterprise Server 12 SP2 librelp Released
SUSE Linux Enterprise Server 12 SP3 librelp Released